### Method

# Vips Image zoom

#### Declaration [src]

    int
    vips_zoom (
      VipsImage* in,
      VipsImage** out,
      int xfac,
      int yfac,
      ...
    )

#### Description [src]

Zoom an image by repeating pixels. This is fast nearest-neighbour zoom.

See also

`vips_affine()`, `vips_subsample()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`xfac`

  Type: `int`

  Horizontal scale factor.

`yfac`

  Type: `int`

  Vertical scale factor.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.